Discover dimension values
curl --request POST \
--url https://api.nops.io/v1/cost-allocation/{id}/dimension-values \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"dimension": "billing_account_name",
"start": "2026-05-31",
"end": "2026-06-29"
}
'import requests
url = "https://api.nops.io/v1/cost-allocation/{id}/dimension-values"
payload = {
"dimension": "billing_account_name",
"start": "2026-05-31",
"end": "2026-06-29"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({dimension: 'billing_account_name', start: '2026-05-31', end: '2026-06-29'})
};
fetch('https://api.nops.io/v1/cost-allocation/{id}/dimension-values', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.nops.io/v1/cost-allocation/{id}/dimension-values"
payload := strings.NewReader("{\n \"dimension\": \"billing_account_name\",\n \"start\": \"2026-05-31\",\n \"end\": \"2026-06-29\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"values": [
"Production",
"Staging",
"Sandbox"
]
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Cost allocation
Discover dimension values
POST
https://api.nops.io
/
v1
/
cost-allocation
/
{id}
/
dimension-values
Discover dimension values
curl --request POST \
--url https://api.nops.io/v1/cost-allocation/{id}/dimension-values \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"dimension": "billing_account_name",
"start": "2026-05-31",
"end": "2026-06-29"
}
'import requests
url = "https://api.nops.io/v1/cost-allocation/{id}/dimension-values"
payload = {
"dimension": "billing_account_name",
"start": "2026-05-31",
"end": "2026-06-29"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({dimension: 'billing_account_name', start: '2026-05-31', end: '2026-06-29'})
};
fetch('https://api.nops.io/v1/cost-allocation/{id}/dimension-values', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.nops.io/v1/cost-allocation/{id}/dimension-values"
payload := strings.NewReader("{\n \"dimension\": \"billing_account_name\",\n \"start\": \"2026-05-31\",\n \"end\": \"2026-06-29\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"values": [
"Production",
"Staging",
"Sandbox"
]
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Authorizations
API key from Settings → Security → API Keys. Pass as Authorization: Bearer YOUR_API_KEY.
Path Parameters
Showback ID
Body
application/json
Required string length:
1 - 256Pattern:
^\d{4}-\d{2}-\d{2}$Pattern:
^\d{4}-\d{2}-\d{2}$Required string length:
1 - 256Required string length:
1 - 128Maximum string length:
256Show child attributes
Show child attributes
Required range:
x > 0Show child attributes
Show child attributes
Required string length:
1 - 256Response
Discover dimension values
JSON object
Was this page helpful?